Skip to navigation

List ModelProviders By Workspace

View as Markdown
List model providers for a specific workspace.

Path parameters

workspacestringRequiredformat: "^[\w.+@-]+$"<=255 characters

Query parameters

sortenumOptionalDefaults to created_at

The field to sort by. To sort in decreasing order, use - in front of the field name.

pageintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-1000Defaults to 100
Page size.
filterobjectOptional

Filter model providers by workspace, project, status, model_deployment_id, name, description, host_url, created_at, and updated_at.

Response

Return model providers for a workspace
datalist of objects
paginationobjectOptional
Pagination information.
sortstringOptional
The field on which the results are sorted.
filtermap from strings to anyOptional
Filtering information.

Errors

422
Unprocessable Entity Error